### Method

# GUPnP ServiceAction get_values

#### Declaration [src]

    GList*
    gupnp_service_action_get_values (
      GUPnPServiceAction* action,
      GList* arg_names,
      GList* arg_types
    )

#### Description [src]

A variant of #gupnp_service_action_get that uses `GList` instead of varargs.

Available since: | 0.14.0

#### Parameters

`arg_names` | A list of `utf8`
| A `GList` of argument names as string.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.
`arg_types` | A list of `GType`
| A `GList` of argument types as `GType`.
| The data is owned by the caller of the function.

#### Return value

Returns: | A list of `const GValue*`
| The values as `GList` of `GValue`. `g_list_free()` the returned list and `g_value_unset()` and `g_slice_free()` each element.
| The caller of the method takes ownership of the data, and is responsible for freeing it.